## mlpy 3.5.0+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mlpy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mlpy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mlpy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mlpy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## mlpy 2.1.0-1

=== debian/changelog ===
mlpy (2.1.0-1) stable; urgency=low

  Fixed (large) icon.

 -- Thomas Bertani <bertani@fbk.eu>  Tue, 26 Jan 2010 17:14:40 +0000

=== debian/control ===
Source: mlpy
Section: user/science
Priority: extra
Maintainer: Thomas Bertani <bertani@fbk.eu>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: mlpy
Architecture: armel
Depends: python2.5, python-numpy
Description: A high-performance Python library for predictive modeling
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/mlpy" install
	mkdir -p "$(CURDIR)/debian/mlpy"

#	mkdir -p "$(CURDIR)/debian/mlpy/usr/bin/"
	cp -a "src/usr/bin/borda" "$(CURDIR)/debian/mlpy/usr/bin/borda"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/bin/"
	cp -a "src/usr/bin/canberra" "$(CURDIR)/debian/mlpy/usr/bin/canberra"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/bin/"
	cp -a "src/usr/bin/canberraq" "$(CURDIR)/debian/mlpy/usr/bin/canberraq"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/bin/"
	cp -a "src/usr/bin/dlda-landscape" "$(CURDIR)/debian/mlpy/usr/bin/dlda-landscape"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/bin/"
	cp -a "src/usr/bin/fda-landscape" "$(CURDIR)/debian/mlpy/usr/bin/fda-landscape"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/bin/"
	cp -a "src/usr/bin/irelief-sigma" "$(CURDIR)/debian/mlpy/usr/bin/irelief-sigma"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/bin/"
	cp -a "src/usr/bin/knn-landscape" "$(CURDIR)/debian/mlpy/usr/bin/knn-landscape"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/bin/"
	cp -a "src/usr/bin/pda-landscape" "$(CURDIR)/debian/mlpy/usr/bin/pda-landscape"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/bin/"
	cp -a "src/usr/bin/srda-landscape" "$(CURDIR)/debian/mlpy/usr/bin/srda-landscape"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/bin/"
	cp -a "src/usr/bin/svm-landscape" "$(CURDIR)/debian/mlpy/usr/bin/svm-landscape"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/"
	cp -a "src/usr/lib/python2.5/site-packages/MLPY-2.1.0.egg-info" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/MLPY-2.1.0.egg-info"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/__init__.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/__init__.py"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/__init__.pyc" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/__init__.pyc"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/__init__.pyo" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/__init__.pyo"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_bmetrics.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_bmetrics.py"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_bmetrics.pyc" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_bmetrics.pyc"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_borda.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_borda.py"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_borda.pyc" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_borda.pyc"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_canberra.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_canberra.py"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_canberra.pyc" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_canberra.pyc"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_ci.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_ci.py"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_ci.pyc" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_ci.pyc"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_cwt.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_cwt.py"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_cwt.pyc" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_cwt.pyc"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_data.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_data.py"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_data.pyc" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_data.pyc"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_dlda.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_dlda.py"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_dlda.pyc" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_dlda.pyc"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_dtw.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_dtw.py"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_dtw.pyc" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_dtw.pyc"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_dwt.so" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_dwt.so"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_dwtfs.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_dwtfs.py"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_dwtfs.pyc" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_dwtfs.pyc"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_extend.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_extend.py"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_extend.pyc" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_extend.pyc"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_fda.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_fda.py"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_fda.pyc" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_fda.pyc"
	mkdir -p "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/"
	cp -a "src/usr/lib/python2.5/site-packages/mlpy/_fssun.py" "$(CURDIR)/debian/mlpy/usr/lib/python2.5/site-packages/mlpy/_fssun.py"

## mlpy 2.2.0~dfsg1

=== debian/changelog ===
mlpy (2.2.0~dfsg1-3build3) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:13:31 +0000

mlpy (2.2.0~dfsg1-3build2) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 10:06:18 -0500

mlpy (2.2.0~dfsg1-3build1) xenial; urgency=medium

  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 Nov 2015 15:06:33 +0000

mlpy (2.2.0~dfsg1-3) unstable; urgency=medium

  * Maintenance upload. Thanks to Matthias Klose for the previous NMU.
  * Update maintainer email.
  * Make 3.0 (quilt) format package.
  * Clean-up debian/control with the help of CME.
  * No longer compress objects.inv (Closes: #608761). Thanks to Michael
    Fladischer for the report.
  * Discontinue to use of python-support in favor of dh-python
    (Closes: #786264). Thanks to dktrkranz for the report.
  * Run dh_numpy to add correct dependency on NumPy ABI.
  * Drop embedded underscore.js in favor of a dependency on libjs-underscore.

 -- Michael Hanke <mih@debian.org>  Sat, 29 Aug 2015 14:01:25 +0200

mlpy (2.2.0~dfsg1-2.1) unstable; urgency=low

  * Non maintainer upload.
  * No-change upload to drop python-mlpy dependency on python2.6.

 -- Matthias Klose <doko@debian.org>  Mon, 20 May 2013 15:17:14 +0200

mlpy (2.2.0~dfsg1-2) unstable; urgency=low

  * Build-Depend on python-numpy providing numpy-ext (Closes: #589588).
    Thanks Jakub Wilk for keeping us in a good shape ;)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 Jul 2010 10:31:01 -0400

mlpy (2.2.0~dfsg1-1) unstable; urgency=low

  * New upstream release
  * Moved under NeuroDebian Team umbrella
  * Boosted policy compliance to 3.9.0 -- no changes are due
  * Dumped python-progressbar from *Depends since of no use

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 Jul 2010 13:05:58 -0400

mlpy (2.1.0~dfsg1-3) unstable; urgency=low

  * Adjusted long description for -doc package (Closes: #562902).
  * Boosted policy compliance to 3.8.4 -- no changes are due.
  * minor reformatting of debian/copyright.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 09 Feb 2010 22:51:12 -0500

mlpy (2.1.0~dfsg1-2) unstable; urgency=low

  * BF: we have now not only linux in debian -- relax
    path assumptions on where to look for installed version during build
    (closes: #560760).

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 11 Dec 2009 20:44:49 -0500

mlpy (2.1.0~dfsg1-1) unstable; urgency=low

  * Initial packaging/upload to Debian (closes: #559006):
    - mlpy/progressbar.py removed since provided within python-progressbar

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 04 Sep 2009 16:18:54 -0400

=== debian/control ===
Source: mlpy
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Section: python
Priority: optional
Build-Depends: cdbs,
               debhelper (>= 5.0.38),
               dh-python,
               libgsl-dev,
               python-all-dev,
               python-numpy,
               python-sphinx,
               texlive,
               texlive-latex-extra,
               help2man
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/mlpy.git
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/mlpy.git
Homepage: https://mlpy.fbk.eu/

Package: python-mlpy
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python,
         python-numpy,
         python-mlpy-lib (>= ${source:Version})
Suggests: python-mvpa
Provides: ${python:Provides}
Description: high-performance Python package for predictive modeling
 mlpy provides high level procedures that support, with few lines of
 code, the design of rich Data Analysis Protocols (DAPs) for
 preprocessing, clustering, predictive classification and feature
 selection. Methods are available for feature weighting and ranking,
 data resampling, error evaluation and experiment landscaping.
 .
 mlpy includes: SVM (Support Vector Machine), KNN (K Nearest
 Neighbor), FDA, SRDA, PDA, DLDA (Fisher, Spectral Regression,
 Penalized, Diagonal Linear Discriminant Analysis) for classification
 and feature weighting, I-RELIEF, DWT and FSSun for feature weighting,
 RFE (Recursive Feature Elimination) and RFS (Recursive Forward
 Selection) for feature ranking, DWT, UWT, CWT (Discrete, Undecimated,
 Continuous Wavelet Transform), KNN imputing, DTW (Dynamic Time
 Warping), Hierarchical Clustering, k-medoids, Resampling Methods,
 Metric Functions, Canberra indicators.

Package: python-mlpy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Suggests: python-mlpy
Description: documentation and examples for mlpy
 mlpy provides high level procedures that support, with few lines of
 code, the design of rich Data Analysis Protocols (DAPs) for
 preprocessing, clustering, predictive classification and feature
 selection. Methods are available for feature weighting and ranking,
 data resampling, error evaluation and experiment landscaping.
 .
 This package provides user documentation for mlpy in various formats
 (HTML, PDF).

Package: python-mlpy-lib
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         python-numpy
Provides: ${python:Provides}
Description: low-level implementations and bindings for mlpy
 mlpy provides high level procedures that support, with few lines of
 code, the design of rich Data Analysis Protocols (DAPs) for
 preprocessing, clustering, predictive classification and feature
 selection. Methods are available for feature weighting and ranking,
 data resampling, error evaluation and experiment landscaping.
 .
 This is an add-on package for the mlpy providing compiled core functionality.

=== debian/watch ===
version=3
opts="dversionmangle=s/~dfsg\d+$//" \
https://mlpy.fbk.eu/wiki/MlpyDownloads https://mlpy.fbk.eu/download/src/MLPY-([\d\.]*)\.tar\.gz

## mlpy 3.5.0+ds

=== debian/changelog ===
mlpy (3.5.0+ds-1.3build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:47:17 +0000

mlpy (3.5.0+ds-1.3build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:38:30 +0000

mlpy (3.5.0+ds-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Build-Dependency on tex-gyre, for docs (Closes: #997448)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 21 Nov 2021 10:46:25 -0400

mlpy (3.5.0+ds-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added dh_clean override to remove files left by the build
    process. (Closes: #962631)

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Fri, 12 Jun 2020 11:20:54 -0300

mlpy (3.5.0+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload. (Closes: #956019)

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Tue, 09 Jun 2020 23:28:38 -0300

mlpy (3.5.0+ds-1) unstable; urgency=medium

  * Team upload.
  
  [Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807216

  [ Andreas Tille ]
  * Move package to Debian Science team maintenance
  * debian/gbp.conf: Deleted since default repository layout is used
  * Point watch file to sourceforge to fetch latest upstream version
    Also exclude cython results to force recreating these using cython3
    Closes: #651118
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/python-sphinx/python3-sphinx/ (routine-update)
  * Add salsa-ci file (routine-update)
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Change packaging system from cdbs to dh
  * Drop Python2 package and create Python3 package only
    Closes: #937055, #902770
  * (Build-)Depends: python3-scipy
  * Fix sphinx extensions, Build-Depends: latexmk
    Closes: #872234
  * No manpages since no scripts are installed
  * Install docs to /usr/share/doc/python3-mlpy
  * Hardening

 -- Andreas Tille <tille@debian.org>  Wed, 26 Feb 2020 21:34:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,39 @@
 Source: mlpy
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: cdbs,
-               debhelper (>= 5.0.38),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                libgsl-dev,
-               python-all-dev,
-               python-numpy,
-               python-sphinx,
+               cython3,
+               python3-all-dev,
+               python3-numpy,
+               python3-sphinx,
+               python3-scipy <!nocheck>,
+               tex-gyre,
                texlive,
                texlive-latex-extra,
+               latexmk,
                help2man
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/mlpy.git
-Vcs-Git: git://anonscm.debian.org/pkg-exppsy/mlpy.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/science-team/mlpy
+Vcs-Git: https://salsa.debian.org/science-team/mlpy.git
 Homepage: https://mlpy.fbk.eu/
 
-Package: python-mlpy
+Package: python3-mlpy
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
-         python,
-         python-numpy,
-         python-mlpy-lib (>= ${source:Version})
-Suggests: python-mvpa
-Provides: ${python:Provides}
+         ${python3:Depends},
+         python3,
+         python3-numpy,
+         python3-scipy,
+         python3-mlpy-lib (>= ${source:Version})
+Suggests: python3-mvpa
+Provides: ${python3:Provides}
 Description: high-performance Python package for predictive modeling
  mlpy provides high level procedures that support, with few lines of
  code, the design of rich Data Analysis Protocols (DAPs) for
@@ -51,7 +57,7 @@
 Depends: ${misc:Depends},
          libjs-jquery,
          libjs-underscore
-Suggests: python-mlpy
+Suggests: python3-mlpy
 Description: documentation and examples for mlpy
  mlpy provides high level procedures that support, with few lines of
  code, the design of rich Data Analysis Protocols (DAPs) for
@@ -62,13 +68,13 @@
  This package provides user documentation for mlpy in various formats
  (HTML, PDF).
 
-Package: python-mlpy-lib
+Package: python3-mlpy-lib
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${python:Depends},
-         python-numpy
-Provides: ${python:Provides}
+         ${python3:Depends},
+         python3-numpy
+Provides: ${python3:Provides}
 Description: low-level implementations and bindings for mlpy
  mlpy provides high level procedures that support, with few lines of
  code, the design of rich Data Analysis Protocols (DAPs) for

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=mlpy

MLPY_VERSION = $(shell awk -F\' '/version *=/{print $$2;}' setup.py)
BUILD_DIR=$(shell pybuild --print build_dir --interpreter python3)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs html latex
	$(MAKE) -C docs/build/latex all-pdf
	-rm docs/build/html/_static/jquery.js
	-rm docs/build/html/_static/underscore.js
endif
	dh_install
	# move libraries into the python-mlpy-lib package
	for lib in $$(find debian/python3-mlpy/usr -name '*.so'); do \
	   sdir=$$(dirname $$lib) ; \
	   tdir=debian/python3-mlpy-lib/$${sdir#*python3-mlpy/} ; \
	   mkdir -p $$tdir ; \
	   echo "Moving '$$lib' into '$$tdir'." ; \
	   mv $$lib $$tdir ; \
	done

override_dh_clean:
	dh_clean
	$(MAKE) clean -C docs/
	rm -f mlpy/adatron/adatron.c
	rm -f mlpy/canberra/canberra.c
	rm -f mlpy/dtw/dtw.c
	rm -f mlpy/findpeaks/findpeaks.c
	rm -f mlpy/gsl/gsl.c
	rm -f mlpy/kernel/kernel.c
	rm -f mlpy/kmeans/kmeans.c
	rm -f mlpy/lcs/lcs.c
	rm -f mlpy/liblinear/liblinear.c
	rm -f mlpy/libml/libml.c
	rm -f mlpy/libsvm/libsvm.c

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy3


# immediately useable documentation
# and exemplar data (they are small excerpts anyways)
override_dh_compress:
	dh_compress \
		    --exclude .py \
		    --exclude .pdf \
		    --exclude .html \
		    --exclude .css \
		    --exclude .jpg \
		    --exclude .txt \
		    --exclude .js \
		    --exclude .json \
		    --exclude .rtc \
		    --exclude .par \
		    --exclude .bin

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
  https://sf.net/mlpy/mlpy-@ANY_VERSION@@ARCHIVE_EXT@
